/**
 * \file Process.cc
 * \author Scott F. H. Kaplan -- sfkaplan@cs.amherst.edu
 * \date September 2004
 * \brief Methods to keep information about a process up-to-date.
 **/



// ===================================================================
// INCLUDES

#include "Process.hh"
// ===================================================================



// ===================================================================
Process::Process () {

    process_ID = 0;
    context_ID = 0;
    virtual_cycle_time = 0;
    virtual_reference_time = 0;
    address_space = NULL;
    image_file_ID.inode_ID = 0;
    image_file_ID.major = 0;
    image_file_ID.minor = 0;

    image_pathname = new char[BUFFER_SIZE];
    if (image_pathname == NULL) {
      fprintf(stderr,
	      "Process::Process(): Could not allocate buffer\n");
      exit(1);
    }

} // Process::Process
// ===================================================================



// ===================================================================
void
Process::mark_time (const timestamp_t virtual_cycle_time_delta,
		    const timestamp_t virtual_reference_time_delta) {

  // Update the virtual cycle and reference times that have passed for
  // this process
  virtual_cycle_time += virtual_cycle_time_delta;
  virtual_reference_time += virtual_reference_time_delta;
  
} // Process::mark_time
// ===================================================================
