#! /bin/tcsh -f

# Check usage.
if (${#argv} != 2) then

    echo "Usage: debug-merger.sh"
    echo "       <gzip-compressed reference trace pathname>"
    echo "       <gzip-compressed kernel trace pathname>"
    exit

endif

# Assign names to the command line parameters.
set compressedRT = ${argv[1]}
set compressedKT = ${argv[2]}

# Assign some other useful constants.
set merger = ${HOME}/research/kVMTrace/post-processors/${HOSTTYPE}/merger-0.5.0.1
set RTPipe = /tmp/rtd
set KTPipe = /tmp/ktd

# Set up the pipes for the input traces.
echo -n "Setting up pipes..."
mkfifo ${RTPipe} ${KTPipe}
gunzip < ${compressedRT} > ${RTPipe} &
gunzip < ${compressedKT} > ${KTPipe} &
echo "done."

echo "Waiting for gunzip processes -- run merger in debugger now..."
wait
echo "done."

# Remove the pipes.
echo -n "Cleaning up pipes..."
rm -f ${RTPipe} ${KTPipe}
echo "done."
